Bug 112540 - Kickstarted machine doesn't find ks.cfg
Summary: Kickstarted machine doesn't find ks.cfg
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Provisioning   
(Show other bugs)
Version: unspecified
Hardware: i686
OS: Linux
high
high
Target Milestone: ---
Assignee: Mike McCune
QA Contact: Red Hat Satellite QA List
URL:
Whiteboard:
Keywords: Reopened
Depends On:
Blocks: 462714
TreeView+ depends on / blocked
 
Reported: 2003-12-22 16:23 UTC by Christian Stelter
Modified: 2011-01-05 22:51 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-01-05 22:51:02 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Screenshot of the kickstart logging (97.58 KB, image/jpeg)
2003-12-22 16:24 UTC, Christian Stelter
no flags Details
Another try to kickstart via fixed IP (61.25 KB, image/jpeg)
2003-12-23 17:45 UTC, Christian Stelter
no flags Details

Description Christian Stelter 2003-12-22 16:23:18 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4.1)
Gecko/20031030

Description of problem:
Hi!

While trying to process the kickstart the server to be installed
fails to get his kickstart config.

See attached screen shot.

Best regards,
             cos


Version-Release number of selected component (if applicable):
rhn-base-2.9.99-21

How reproducible:
Always

Steps to Reproduce:
1. Schedule a kickstart
2. Reboot for kickstart installation


Actual Results:  Failed to retrieve ks.cfg.


Expected Results:  Successfull retrieval of a ks.cfg.

Additional info:

Comment 1 Christian Stelter 2003-12-22 16:24:35 UTC
Created attachment 96666 [details]
Screenshot of the kickstart logging

Looks like an broken config. The last url seems to miss the hostname
(beta.rhn.mediaways.net).

Comment 2 Christian Stelter 2003-12-23 17:45:58 UTC
Created attachment 96681 [details]
Another try to kickstart via fixed IP

A try to kickstart with a fixed ip failed also.

(see picture)

Comment 3 Robin Norwood 2004-01-06 21:12:30 UTC
Are all of these attempts using fixed IP address?  Using eth0 or eth1?

Comment 4 Greg DeKoenigsberg 2004-01-13 00:17:09 UTC
Best guess is we've closed this in the latest build.

Comment 5 Aleksandr Brezhnev 2004-02-24 17:50:00 UTC
I think this bug has not been fixed.
I tried to initiate kickstart from rhns-3.1rc1.
The package auto-kickstart-ks-redhat-advanced-server-i386-qu2-1.2-3
was installed on my target system as it supposed to be.
Then the file 
/boot/rhn-kickstart/ks-redhat-advanced-server-i386-qu2/initrd.img.merged
was created and grub was configured to use it.
The ks.cfg should be in this file but it was missing and I got an
error screen as in the previousely attached screenshot for fixed IP
(attachment id=96681).

Comment 6 Robin Norwood 2004-02-25 22:01:47 UTC
Over to chip to see if he can figure out why NRN's auto-kickstart is
pointing to a file instead of to a URL. This seems to be a different
bug from Christian's, however.  Christian's bug should be fixed in RC1
and later.

Comment 7 Robin Norwood 2006-10-17 15:31:57 UTC
re-assign to mmccune@redhat.com

Comment 8 Red Hat Bugzilla 2007-02-05 19:34:56 UTC
REOPENED status has been deprecated. ASSIGNED with keyword of Reopened is preferred.

Comment 9 Clifford Perry 2011-01-05 22:51:02 UTC
The RHN Satellite 4.x and RHN Proxy 4.x products have reached their end of
life. Please see:

Satellite 4 EOL Errata
 - https://rhn.redhat.com/errata/RHSA-2011-0001.html

RHN Proxy 4 EOL Errata
 - https://rhn.redhat.com/errata/RHSA-2011-0002.html

This bugzilla was reported for an unspecified version of the product, but was created prior to the release of 5.x - as such we assume this bug was reported for the 4.x version of the product - which is no longer supported. 

https://access.redhat.com/support/policy/updates/satellite/
RHN Satellite and Proxy Server 5
General availability: 	June 26, 2007

We are closing this bugzilla out. If you feel this bug report should be
reviewed again since it is valid for a currently supported product version,
then please feel free to re-open this bug report. 

Regards,
Clifford


Note You need to log in before you can comment on or make changes to this bug.